﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.ServiceModel;
namespace HeuristicLab.Services.Hive.SelfHost {
  class Program {
    static void Main(string[] args) {
      var baseAdress = new Uri(@"http://localhost/Hive-3.3/HiveService.svc");

      using (var host = new ServiceHost(typeof(HiveService), baseAdress)) {
        host.Open();

        Console.WriteLine("Service is ready at {0}", baseAdress);
        Console.WriteLine("Press <Enter> to stop the service.");

        Console.ReadLine();

        host.Close();
      }
    }
  }
}
